<?
include("../../conexion/class-sb-conexion.php");


		switch($evento){
			case "inst":
				$id_autoriza=13;
				include("../../seguridad/autoriza.php");
				if ($grabar==0)  
				{
				?>
				<script>
					alert ("No Autorizado");
				</script>
				<?
				exit();
				}
			break;
			case "upda":
				$id_autoriza=13;
				include("../../seguridad/autoriza.php");
				if ($grabar==0)  
				{
				?>
				<script>
					alert ("No Autorizado");
				</script>
				<?
				exit();
				}
			break;
			case "dele":
				$id_autoriza=13;
				include("../../seguridad/autoriza.php");
				if ($eliminar==0)  
				{
				?>
				<script>
					alert ("No Autorizado");
				</script>
				<?
				exit();
				}
			break;
		default:
			print ("Error");
		break;
		}





		switch($evento){
		case "inst":

			$campos_insert="";
			foreach( $campo as $key => $value ) {
    			$campos_insert=$campos_insert."".$key.",";
			}

			$Query_insert="insert into sb_usuarios_lista  
			(".rtrim(str_replace("'","",$campos_insert),",").")  values ('".implode('\',\'',$campo)."')";
			
			$dbx = new sb_mysql();
			$consulta = $dbx->consulta_free($Query_insert);
			//echo $Query_insert;
			//echo $Query_update." where Codigo_HabDes=".$id;
		break;
		case "upda":

			$campos_update="";
			foreach( $campo as $key => $value ) {
    			$campos_update=$campos_update.str_replace("'","",$key)."='".$value."',";	
				echo $key."---".$value."<br>";
			}

			$Query_update="update sb_usuarios_lista set ".rtrim($campos_update,",");
       
	         echo $Query_update." where Codigo_Usuario=".$id;
                  
			$dbx = new sb_mysql();
			$consulta = $dbx->consulta_free($Query_update." where Codigo_Usuario=".$id);
			//echo $Query_update;
			$dbx = new sb_mysql();
			$consulta = $dbx->consulta_free("update sb_usuarios_lista set Password_Usuario=OLD_PASSWORD('".$Password_Usuario."') where Codigo_Usuario=".$id);
			//echo $Query_update." where Codigo_HabDes=".$id;
			echo "update sb_usuarios_lista set Password_Usuario=OLD_PASSWORD('".$Password_Usuario."') where Codigo_Usuario=".$id;
		break;
		case "dele":
				$dbx = new sb_mysql();
				$dbx->proceso($empresa_global);
			    $sql_func="update sb_usuarios_lista set Activo='E' where Codigo_Usuario='".$id."'";
				$cons = $dbx->consulta_free($sql_func);
			
				?>
			 	<script>
					alert("Registro elimninado");
				
				</script>
                <?
			print ("delete");
		break;
		default:
			print ("Error");
		break;
		}
?>

     <script>
	 window.parent.actualizar();
	 </script>
 